<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/13/2011 *
 * ===================                          Last change: 08/13/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_network_types.php                    *
 * -------------------------------------------------------------------- *
 * Short description : Handler types configuration                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Werbe-Handler-Konfiguration                      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// By default we should display list/add new forms
$GLOBALS['network_display'] = true;

// Handle form here
doNetworkHandleForm();

// Display forms?
if ($GLOBALS['network_display'] === false) {
	// Abort here
	return;
} // END - if

// Do we have a network selected?
if (isGetRequestElementSet('network_id')) {
	// @TODO Do something here
} else {
	// Generate network list for this script
	outputHtml(generateAdminNetworkList());
}

// [EOF]
?>
